/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorDiffResultDetailProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorDiffResultDetailProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 入力の翻訳結果ログ(左辺)。
     *
     * フィールド: [sourceleft]。
     */
    private String fSourceleft;

    /**
     * 入力の翻訳結果ログ(右辺)。
     *
     * フィールド: [sourceright]。
     */
    private String fSourceright;

    /**
     * 出力の翻訳結果ログ差分ファイル。
     *
     * フィールド: [targetdiff]。
     */
    private String fTargetdiff;

    /**
     * 一致する行を報告するかどうか。通常は これは不要だと考えています。
     *
     * フィールド: [reportequal]。
     * デフォルト: [false]。
     */
    private boolean fReportequal = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourceleft] の値を設定します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(左辺)。]。
     *
     * @param argSourceleft フィールド[sourceleft]に設定する値。
     */
    public void setSourceleft(final String argSourceleft) {
        fSourceleft = argSourceleft;
    }

    /**
     * フィールド [sourceleft] の値を取得します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(左辺)。]。
     *
     * @return フィールド[sourceleft]から取得した値。
     */
    public String getSourceleft() {
        return fSourceleft;
    }

    /**
     * フィールド [sourceright] の値を設定します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(右辺)。]。
     *
     * @param argSourceright フィールド[sourceright]に設定する値。
     */
    public void setSourceright(final String argSourceright) {
        fSourceright = argSourceright;
    }

    /**
     * フィールド [sourceright] の値を取得します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(右辺)。]。
     *
     * @return フィールド[sourceright]から取得した値。
     */
    public String getSourceright() {
        return fSourceright;
    }

    /**
     * フィールド [targetdiff] の値を設定します。
     *
     * フィールドの説明: [出力の翻訳結果ログ差分ファイル。]。
     *
     * @param argTargetdiff フィールド[targetdiff]に設定する値。
     */
    public void setTargetdiff(final String argTargetdiff) {
        fTargetdiff = argTargetdiff;
    }

    /**
     * フィールド [targetdiff] の値を取得します。
     *
     * フィールドの説明: [出力の翻訳結果ログ差分ファイル。]。
     *
     * @return フィールド[targetdiff]から取得した値。
     */
    public String getTargetdiff() {
        return fTargetdiff;
    }

    /**
     * フィールド [reportequal] の値を設定します。
     *
     * フィールドの説明: [一致する行を報告するかどうか。通常は これは不要だと考えています。]。
     *
     * @param argReportequal フィールド[reportequal]に設定する値。
     */
    public void setReportequal(final boolean argReportequal) {
        fReportequal = argReportequal;
    }

    /**
     * フィールド [reportequal] の値を取得します。
     *
     * フィールドの説明: [一致する行を報告するかどうか。通常は これは不要だと考えています。]。
     * デフォルト: [false]。
     *
     * @return フィールド[reportequal]から取得した値。
     */
    public boolean getReportequal() {
        return fReportequal;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorDiffResultDetailProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourceleft=" + fSourceleft);
        buf.append(",sourceright=" + fSourceright);
        buf.append(",targetdiff=" + fTargetdiff);
        buf.append(",reportequal=" + fReportequal);
        buf.append("]");
        return buf.toString();
    }
}
